import request from '@/utils/request';

// 获取列表
export const getList = (params, showType) => request('/org', { params, showType });

// 获取详情
export const getDetail = (id) => request(`/org/${id}`);

// 新增保存
export const saveOrg = (data) => request('/org', { data, method: 'post' });

// 更新信息
export const updateOrg = (id, data) => request(`/org/${id}`, { data, method: 'put' });


// 新增管理员
export const saveOrgUser = (id,data) => request(`/org/${id}/user`, { data, method: 'post' });

// 获取企业管理员详情
export const getOrgAdminDetail = (id) => request(`/org/${id}/admin`);